/*
  
Macro Scripts File
Developed:  	January 2016
Version:  		3ds MAX 9 SP1
Description: Hide / Unhide cameras and lights at once. Hold shift + click is unhide.
Version:          1
Author:			Giuliano "PapiGiulio" Garau 
Email:			g.garau@gmail.com
www:			    http://www.papigiulio.net


Disclaimer:
Use this script at your own risk.
Any damage caused by this script is NOT the responsibility of the author.

*/
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK
macroScript HideCamLight
category:		"_PapiGiulio"
buttonText:	"PapiTools"
Tooltip:			"PapiTools - Hide Unhide Cams Lights Toggle"
icon:#("hidecamlight",1)
(
	if keyboard.shiftPressed then 
			(
				hideByCategory.lights = false
				hideByCategory.cameras = false
			)
			else
			(
				hideByCategory.lights = true
				hideByCategory.cameras = true
			)
)